Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 753734 - media-libs/portaudio-19.06.00-r1 Failed to emerge
Summary: media-libs/portaudio-19.06.00-r1 Failed to emerge
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-09 16:27 UTC by Martin Erdtmann
Modified: 2021-01-18 12:42 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (sqzmyh50.txt,360.27 KB, text/plain)
2020-11-09 20:47 UTC, Jonas Stein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Erdtmann 2020-11-09 16:27:53 UTC
This is happening while rebuilding lib32 packages while migrating to 17.1:



 * Header files have changed between ABIs.
 * --- /var/tmp/portage/media-libs/portaudio-19.06.00-r1/temp/.multilib_header_cksum    2020-11-09 17:11:38.204315547 +0100
 * +++ /var/tmp/portage/media-libs/portaudio-19.06.00-r1/temp/.multilib_header_cksum.new        2020-11-09 17:11:38.795315587 +0100
 * @@ -12,6 +12,7 @@
 *  2790034475 2528 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/portaudiocpp/StreamParameters.hxx
 *  1843098003 2597 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/portaudiocpp/System.hxx
 *  2036161210 2709 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/portaudiocpp/Device.hxx
 * +1674912135 2805 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/pa_jack.h
 *  3283171028 3093 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/portaudiocpp/Exception.hxx
 *  327424812 3315 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/portaudiocpp/MemFunCallbackStream.hxx
 *  3326049611 3814 /var/tmp/portage/media-libs/portaudio-19.06.00-r1/image/usr/include/pa_linux_alsa.h
 * ERROR: media-libs/portaudio-19.06.00-r1::gentoo failed (install phase):
 *   Header checksum mismatch, aborting.
 * 
 * Call stack:
 *     ebuild.sh, line  125:  Called src_install
 *   environment, line 1600:  Called multilib-minimal_src_install
 *   environment, line  969:  Called multilib_foreach_abi 'multilib-minimal_abi_src_install'
 *   environment, line 1202:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line  856:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_install'
 *   environment, line  854:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_install'
 *   environment, line  250:  Called multilib-minimal_abi_src_install
 *   environment, line  966:  Called multilib_check_headers
 *   environment, line 1025:  Called die
 * The specific snippet of code:
 *               die "Header checksum mismatch, aborting.";
 * 
 * If you need support, post the output of `emerge --info '=media-libs/portaudio-19.06.00-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/portaudio-19.06.00-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/portaudio-19.06.00-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/portaudio-19.06.00-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/portaudio-19.06.00-r1/work/portaudio-abi_x86_64.amd64'
 * S: '/var/tmp/portage/media-libs/portaudio-19.06.00-r1/work/portaudio'
Comment 1 Ionen Wolkens 2020-11-09 17:46:30 UTC
As I already mentioned on the forums, you should (at least) provide emerge --info and full build.log

For some background on this:
- bug #630616
- https://forums.gentoo.org/viewtopic-p-8527952.html
Not that I can confirm this bug, but I imagine migration "could" be triggering something.
Comment 2 Martin Erdtmann 2020-11-09 17:49:08 UTC
emerge --info
Portage 3.0.8 (python 3.7.9-final-0, default/linux/amd64/17.1/desktop/plasma, gcc-9.3.0, glibc-2.32-r2, 5.4.72-gentoo x86_64)
=================================================================
System uname: Linux-5.4.72-gentoo-x86_64-AMD_FX-tm-8320_Eight-Core_Processor-with-gentoo-2.7
KiB Mem:    18340988 total,   8663268 free
KiB Swap:    9767484 total,   9767484 free
Timestamp of repository gentoo: Sun, 08 Nov 2020 19:00:02 +0000
Head commit of repository gentoo: c2075d9f92611c4cbcb875bbf94cfbf75309c43a
Timestamp of repository poly-c: Sun, 08 Nov 2020 19:15:36 +0000
sh bash 5.0_p18
ld GNU ld (Gentoo 2.34 p6) 2.34.0
app-shells/bash:          5.0_p18::gentoo
dev-java/java-config:     2.3.1::gentoo
dev-lang/perl:            5.30.3::gentoo
dev-lang/python:          2.7.18-r4::gentoo, 3.7.9::gentoo, 3.8.5::gentoo, 3.9.0::gentoo
dev-util/cmake:           3.17.4-r1::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r5::gentoo
sys-devel/automake:       1.16.1-r1::gentoo
sys-devel/binutils:       2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo
sys-devel/gcc-config:     2.3.2::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 5.4-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

crossdev
    location: /usr/local/portage-crossdev
    masters: gentoo
    priority: 10

mv
    location: /var/lib/layman/mv
    masters: gentoo
    priority: 50

poly-c
    location: /var/lib/layman/poly-c
    masters: gentoo
    priority: 50

printer-drivers
    location: /var/lib/layman/printer-drivers
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE RTCW-ETEULA Q3AEULA AdobeFlash-10.3 AdobeFlash-11.x PUEL google-talkplugin Google-TOS RAR FraunhoferFDK teamspeak3 MPEG-4 eternal_lands linux-firmware Lexmark NVIDIA-r2"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/var/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync multilib-strict network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/var/cache/binpkgs"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi activities alsa amd64 apulse berkdb bluetooth branding bzip2 cairo cdda cdinstalli cdr cli crypt cups dbus declarative dri dts dvd dvdr elogind emboss encode exif ffmpeg flac fltk fortran freesound g3dvl gdbm gif gpm gt4 gtk gui iconv icu ipv6 jack jpeg kde kipi kwallet ladspa lcms libglvnd libnotify libsamplerate libtirpc lv2 mad midi mng mp3 mp4 mpeg mplayer multilib music ncurses nls nptl ogg opencl opengl openmp opus pam pango pcre pdf phonon plasma png policykit ppds qml qt5 readline scanner sddm sdl seccomp semantic-desktop sndfile snmp sound soundtouch spell split-usr ssl startup-notification svg taglib tcpd tiff timidity truetype udev udisks unicode upower usb v4l vaapi vdpau vorbis widgets wxwidgets x264 xattr xcb xml xv xvid zlib" ABI_X86="32 64" ADA_TARGET="gnat_2018" ALSA_CARDS="hda-intel hdsp ice1712" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx f16c fma3 fma4 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3 xop" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7" RUBY_TARGETS="ruby25 ruby26" SANE_BACKENDS="gt68xx genesys" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Martin Erdtmann 2020-11-09 17:53:13 UTC
Complete build log:

https://pastebin.com/sqzmyh50
Comment 4 Jonas Stein gentoo-dev 2020-11-09 20:47:32 UTC
Created attachment 670649 [details]
build.log
Comment 5 Iade Gesso 2020-11-09 23:16:14 UTC
I can confirm the bug! Hre I'm on the default/linux/amd64/17.1/desktop/gnome/systemd profile.

Iade
Comment 6 Martin Erdtmann 2020-11-11 14:10:15 UTC
Moving to the currently unstable version portaudio-19.06.00-r3 fixed the issue for me.

Additional info:
I got same error for libv4l, which has been fixed by upgrading to version 1.20.0.
Comment 7 Audiodef 2020-12-13 18:07:17 UTC
I can also confirm this issue, and using the ~arch version did not solve it for me.
Comment 8 Audiodef 2020-12-13 23:20:31 UTC
Follow-up: Using the ~arch version did solve it for me after all, but only after getting ffmpeg, libffado and jack2 to recompile after the profile migration. Or I should say, I already was using the ~arch version, but it would not post-migration compile until those other three pkgs were successfully recompiled.
Comment 9 Miroslav Šulc gentoo-dev 2021-01-08 09:47:41 UTC
so i suppose this issue is resolved by media-libs/portaudio-19.06.00-r3. if not then please let us know.
Comment 10 Dominique Michel 2021-01-18 12:42:31 UTC
(In reply to Miroslav Šulc from comment #9)
> so i suppose this issue is resolved by media-libs/portaudio-19.06.00-r3. if
> not then please let us know.

On an ~amd64 system, I am in the lest part of the migration and get hit by this issue. I think this is a problem with the second part of the migration. After the merge of sys-apps/dbus (needed by jack2[dbus]) and media-sound/jack2, that issue is solved.